%global major 1
%global minor 54
%global commit 227eb5818a361070da4fc3824c8e23b1ff60b25d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotyear %(date +\%Y)
%global snapshotday %(date +\%m\%d)
%global snapshotdate %{snapshotyear}%{snapshotday}

%global tcl_module_dir /usr/share/tcl8/8.6

Name:     i8kutils
Version:  %{major}.%{minor}^git%{snapshotdate}.%{shortcommit}
Release:  4%{?dist}

License:  GPLv3
URL:      https://github.com/Wer-Wolf/%{name}
Summary:  Fan control for Dell laptops
Group:    Applications/System/Configuration/Hardware
Source0:  https://github.com/Wer-Wolf/%{name}/archive/%{commit}.zip

BuildRequires: gcc
BuildRequires: meson
BuildRequires: systemd
BuildRequires: tcl
Requires: systemd
Requires: tcl
Requires: tcllib
Provides: %{name}-%{version}-%{release}


%description
This is a collection of utilities to control Dell laptops fans. It includes programs to turn the fans on and off, to read fans status, CPU temperature, BIOS version.

%global debug_package %{nil}

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%meson --prefix="/usr" -Dsysvinit_support=disabled -Dmoduledir=%{tcl_module_dir}
%meson_build

%install
%meson_install
rm -rf %{buildroot}/etc/init.d
sed -i "/\\[Service\\]/a ExecStopPost=/bin/bash -c '/usr/bin/test -f /usr/sbin/dell-bios-fan-control && /usr/sbin/dell-bios-fan-control 1; /usr/bin/true'" %{buildroot}/usr/lib/systemd/system/i8kmon.service
sed -i "/\\[Service\\]/a ExecStartPre=/bin/bash -c '/usr/bin/test -f /usr/sbin/dell-bios-fan-control && /usr/sbin/dell-bios-fan-control 0; /usr/bin/true'"  %{buildroot}/usr/lib/systemd/system/i8kmon.service

%files
%config(noreplace) /etc/i8kmon.conf
%{tcl_module_dir}
%{_bindir}/i8kmon
%{_bindir}/i8kctl
%{_mandir}/man1/*
%{_udevrulesdir}/*.rules
%{_unitdir}/i8kmon.service

%changelog
* Wed Sep 27 2023 uriesk <uriesk@posteo.de> 1.52
- merge with Wer-Wolf fork, that fixes dependency to /proc/i8k
* Sun Jun 3 2018 uriesk <uriesk@posteo.de> 1.43
- spec file rewritten to build against current version
* Sun Nov 17 2002 Roger <roger@linuxfreemail.com> 1.17-1mdk
- Packaged
